#ifndef COUNTERDATADTO_H
#define COUNTERDATADTO_H

#include <QObject>
#include <QJsonObject>
#include <QJsonDocument>
#include <QJsonArray>

class CounterDataDto : public QObject
{
    Q_OBJECT
public:
    explicit CounterDataDto(QObject *parent = nullptr);

    qint8 channelRefId; // 参考通道号 -- <4>
    QString refType;

    QList<QString> channelActiveArray; // xhts
    QList<QString> channelDataArray; // xhts

    QByteArray rawFrame; // 原始帧字节数组

    QString frameId; // 帧ID -- <8>
    QString timestamp; // 时间戳字符串
    qlonglong milisecond; // 毫秒计数
    QString devCode;
    QString devStatus;

    QJsonObject toJSON(int i);
    QJsonObject toStatusJSON();
    void clone(CounterDataDto * copy);

signals:

};

#endif // COUNTERDATADTO_H
